org.jboss.netty.handler.codec.http

## Class HttpResponseEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.HttpMessageEncoder
    - - org.jboss.netty.handler.codec.http.HttpResponseEncoder

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler

      public class HttpResponseEncoder
      extends HttpMessageEncoder

  Encodes an `HttpResponse` or an `HttpChunk` into a `ChannelBuffer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpResponseEncoder()` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.http.HttpMessageEncoder

      `encode`

    - ### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

      `handleDownstream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpResponseEncoder

          public HttpResponseEncoder()

      Creates a new instance.

  - ### Method Detail

    - #### encodeInitialLine

          protected void encodeInitialLine(ChannelBuffer buf,
                               HttpMessage message)
                                    throws Exception

      Specified by:
        `encodeInitialLine` in class `HttpMessageEncoder`
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.